#if !defined(AFX_DVPANEL_H__53B6ED89_59B3_4CBF_BDBD_09D3FA56966D__INCLUDED_)
#define AFX_DVPANEL_H__53B6ED89_59B3_4CBF_BDBD_09D3FA56966D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DVPanel.h : header file
//
#include "DynaPanel.h"
#include "CurveSet.h"

/////////////////////////////////////////////////////////////////////////////
// DVPanel dialog

class DVPanel : public CDynaPanel
{
// Construction
public:
	DVPanel(CWnd* pParent = NULL);   // standard constructor
	virtual void UpdateControl();
	virtual void Set(void *pt); 

	int LastPos;
	bool RecurseGaurd;
	virtual void OnCancel() {}
	virtual void OnOK() {}

	float BaseCap,SliUnit,LastNum;
// Dialog Data
	//{{AFX_DATA(DVPanel)
	enum { IDD = IDD_DVSWITCH };
	CButton	m_varbut;
	CEdit	m_numedit;
	CSliderCtrl	m_slider;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DVPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DVPanel)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnReleasedcaptureSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeNum();
	afx_msg void OnKillfocusNum();
	afx_msg void OnUsevar();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DVPANEL_H__53B6ED89_59B3_4CBF_BDBD_09D3FA56966D__INCLUDED_)
